<%@ page language="C#" masterpagefile="~/member/MasterPage.master" autoeventwireup="true" inherits="member_task_Default, App_Web_default.aspx.bbc087c1" title="Tasks" %>
<asp:Content ID="body" ContentPlaceHolderID="ContentBody" Runat="Server">
  <br />
  Solution: <asp:DropDownList ID="drpSolution" runat="server" DataSourceID="SolutionDataSource" DataTextField="sln_Name" DataValueField="sln_Id" OnDataBound="drpSolution_DataBound" AutoPostBack="True" OnSelectedIndexChanged="drpSolution_SelectedIndexChanged">
  </asp:DropDownList>
  <br /><br />
  Project: <asp:DropDownList ID="drpProject" runat="server" DataSourceID="ProjectDataSource" DataTextField="prj_Name" DataValueField="prj_Id" AutoPostBack="True" OnDataBound="drpProject_DataBound" OnSelectedIndexChanged="drpProject_SelectedIndexChanged">
  </asp:DropDownList>
  <br /><br />
  <asp:Button ID="btnAddTask" runat="server" Text="Add Task" OnClick="btnAddTask_Click" OnPreRender="btnAddTask_PreRender" />
  <br /><br />

  <asp:GridView ID="grdTasks" AutoGenerateColumns="False" runat="server" CellPadding="4" ForeColor="#333333" GridLines="None" DataSourceID="TaskDataSource" DataKeyNames="tsk_Id" OnRowCommand="grdTasks_RowCommand">
    <FooterStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
    <RowStyle BackColor="#F7F6F3" ForeColor="#333333" />
    <EditRowStyle BackColor="#999999" />
    <SelectedRowStyle BackColor="#E2DED6" Font-Bold="True" ForeColor="#333333" />
    <PagerStyle BackColor="#284775" ForeColor="White" HorizontalAlign="Center" />
    <HeaderStyle BackColor="#5D7B9D" Font-Bold="True" ForeColor="White" />
    <AlternatingRowStyle BackColor="White" ForeColor="#284775" />
    <Columns>
      <asp:CommandField ShowDeleteButton="True" ShowEditButton="True" />
      <asp:BoundField DataField="tsk_Id" HeaderText="tsk_Id" InsertVisible="False" ReadOnly="True"
        SortExpression="tsk_Id" Visible="False" />
      <asp:BoundField DataField="tsk_Name" HeaderText="Task Name" SortExpression="tsk_Name" />
      <asp:BoundField DataField="tsk_OwnerId" HeaderText="tsk_OwnerId" SortExpression="tsk_OwnerId"
        Visible="False" />
      <asp:TemplateField>
        <ItemTemplate>
          <asp:LinkButton ID="lnkOpenTask" CommandName="OpenTask" CommandArgument='<%# Eval("tsk_Id") %>' runat="server">Open Task</asp:LinkButton>          
        </ItemTemplate>
      </asp:TemplateField>
    </Columns>
  </asp:GridView>

  <asp:ObjectDataSource ID="SolutionDataSource" runat="server" OnSelecting="SolutionDataSource_Selecting"
    SelectMethod="GetSolutions" TypeName="SolutionManager">
    <SelectParameters>
      <asp:Parameter Name="UserID" Type="Object" />
    </SelectParameters>
  </asp:ObjectDataSource>
    
  <asp:ObjectDataSource ID="ProjectDataSource" runat="server" OnSelecting="ProjectDataSource_Selecting" SelectMethod="GetProjects" TypeName="ProjectManager" OldValuesParameterFormatString="original_{0}" >
  <SelectParameters>
    <asp:Parameter Name="UserID" Type="Object" />
    <asp:ControlParameter Name="SolutionId" Type="Int32" ControlID="drpSolution" 
      PropertyName="SelectedValue" DefaultValue="-1" />      
  </SelectParameters>
  </asp:ObjectDataSource>
  <asp:ObjectDataSource ID="TaskDataSource" runat="server" OnSelecting="TaskDataSource_Selecting"
    SelectMethod="GetTasks" TypeName="TaskManager" DeleteMethod="DeleteTask" OnDeleting="TaskDataSource_Deleting" OnUpdating="TaskDataSource_Updating" UpdateMethod="UpdateTask">
    <SelectParameters>
      <asp:Parameter Name="UserId" />
      <asp:ControlParameter ControlID="drpProject" DefaultValue="-1" Name="ProjectId" PropertyName="SelectedValue" />
      <asp:ControlParameter ControlID="drpSolution" DefaultValue="-1" Name="SolutionId"
        PropertyName="SelectedValue" />
    </SelectParameters>
    <DeleteParameters>
      <asp:Parameter Name="TaskId" />
      <asp:Parameter Name="UserId" />
    </DeleteParameters>
    <UpdateParameters>
      <asp:Parameter Name="TaskName" />
      <asp:Parameter Name="TaskId" />
      <asp:Parameter Name="UserId" />
    </UpdateParameters>
  </asp:ObjectDataSource>

</asp:Content>

